manifestVersion: 1
id: gitingest
name: Gitingest
tagline: Простой способ сделать репозитории Git удобными для LLM
category: developer
version: "0.3.1"
port: 8895
description: >-
  Gitingest — это инструмент с открытым исходным кодом, который преобразует репозитории Git в структурированные текстовые сводки, удобные для LLM, что упрощает анализ и обработку кода с помощью моделей ИИ, таких как ChatGPT и Claude. Просто заменив «github.com» на «gitingest.com» в любом URL-адресе репозитория, пользователи могут мгновенно создать оптимизированный для ИИ дайджест кодовой базы. Кроме того, кнопка одним нажатием обеспечивает плавную интеграцию с GitHub, обеспечивая бесперебойный рабочий процесс для разработчиков.
  
  
  Инструмент предлагает интеллектуальное форматирование для структурированного представления содержимого репозитория, что повышает эффективность работы LLM. Пользователи могут либо положиться на службу GitIngest по умолчанию, либо настроить свои собственные настройки для дополнительной гибкости. Уделяя большое внимание конфиденциальности, Gitingest не собирает данные и работает полностью в автономном режиме, что делает его безопасным выбором как для разработчиков, так и для организаций.
  
  
  Gitingest особенно полезен для разработчиков ИИ, создающих точные подсказки, для команд, работающих с разработкой с помощью ИИ, и для всех, кому нужно быстрое понимание базы кода. В рамках экосистемы GitIngest он также предоставляет инструменты CLI и пакеты Python для более расширенного использования. Если вы хотите оптимизировать рабочий процесс разработки на базе ИИ или улучшить понимание сложных репозиториев, Gitingest предлагает простое, но мощное решение.
developer: Romain Courtois
website: https://gitingest.com/
submitter: dennysubke
submission: https://github.com/getumbrel/dfwebos-apps/pull/2225
repo: https://github.com/cyclotruc/gitingest
support: https://github.com/cyclotruc/gitingest/issues
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
releaseNotes: >-
  В этом выпуске представлены новые функции и улучшения Gitingest.
  
  
  Новые функции включают в себя:
    — Поддержка подмодулей Git.
    - Система кэширования для более быстрого обслуживания ранее созданных дайджестов.
    - Улучшенное ведение журнала для лучшего устранения неполадок.
  
  
  Ключевые улучшения:
    - Улучшенная обработка больших файлов благодаря улучшенной обработке размера.
    - Улучшена очистка временных файлов после обработки.
    — Улучшена обработка ошибок сети во время оценки токена.
    — Улучшено сопоставление шаблонов для правил включения и исключения.
  
  
  Исправления ошибок включают:
    - Исправлена обработка кеша для подпутей репозитория.
    - Исправлены проблемы с отображением дерева каталогов.
    - Решены проблемы с запуском контейнера
    — Улучшена обработка файлов gitignore и gitingestignore.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/cyclotruc/gitingest/releases.
dependencies: []
path: ""
defaultUsername: ""
defaultPassword: ""
